Bug 513785 - pulseaudio cause system to freeze
pulseaudio cause system to freeze
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-25 16:11 EDT by Juha Heljoranta
Modified: 2010-06-28 09:49 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:49:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from pulseaudio right before system halted. (50.29 KB, application/octet-stream)
2009-07-25 16:11 EDT, Juha Heljoranta
no flags Details

  None (edit)
Description Juha Heljoranta 2009-07-25 16:11:35 EDT
Created attachment 355159 [details]
Output from pulseaudio right before system halted.

Description of problem:
My system freezes when watching a low-quality video clip from vlc. By setting an audio output to dummy device the playback works fine. Setting only a video output to dummy still halts the system while playing a video clip. High quality audio/video seems have only minor skipping problems, no system freeze.

Version-Release number of selected component (if applicable):
pulseaudio-0.9.15-14.fc11.x86_64
alsa-lib-1.0.20-1.fc11.x86_64
kernel-2.6.29.6-213.fc11.x86_64
vlc-1.0.0-0.12rc4.fc11.x86_64

How reproducible:
Usually by playing some low quality audio in vlc. Typically ~10 seconds is enough. Sometimes several minutes is required. Seeking the stream while playing usually halts the system quite fast.

Actual results:
Clip plays for few seconds or minutes. Sound is very choppy and clicky at beginning. Sometimes the audio goes silent some seconds before the system halts.

Expected results:
Clip plays smoothly without clicking nor system freeze.

Additional info:
When system freezes only which seems to have any visible effect is alt-SysRq-b. Mouse cursor doesn't move. Log files don't contain anything unusual.

lspci -nn -x:
00:1b.0 Audio device [0403]: Intel Corporation 82801H (ICH8 Family) HD Audio Controller [8086:284b] (rev 03)
Subsystem: Inventec Corporation Device [1170:0040]
Flags: bus master, fast devsel, latency 0, IRQ 22 
Memory at f0500000 (64-bit, non-prefetchable) [size=16K]
Capabilities: [50] Power Management version 2 
Capabilities: [60] MSI: Mask- 64bit+ Count=1/1 Enable-
Capabilities: [70] Express Root Complex Integrated Endpoint, MSI 00 
Capabilities: [100] Virtual Channel <?> 
Capabilities: [130] Root Complex Link <?> 
Kernel driver in use: HDA Intel 
Kernel modules: snd-hda-intel 

Attaching output from pulseaudio -vvvvv from a playback session causing a system freeze.
Comment 1 Juha Heljoranta 2009-07-25 16:18:38 EDT
Setting audio output to alsa from vlc and playback works just superb.
Comment 2 Lennart Poettering 2009-07-25 16:50:52 EDT
Are you using PA in RT mode? (If you don't know then you dont)
Comment 3 Juha Heljoranta 2009-07-25 17:14:19 EDT
AFAIK I am not running PA in real-time mode. This just a default F11 install. 
$ pulseaudio -vvvv 2>&1 | grep pulse-rt
I: main.c: We are not in group 'pulse-rt', PolicyKit refuse to grant us the requested privileges and we have no increase RLIMIT_NICE/RLIMIT_RTPRIO resource limits.
I: main.c: For enabling real-time/high-priority scheduling please acquire the appropriate PolicyKit privileges, or become a member of 'pulse-rt', or increase the RLIMIT_NICE/RLIMIT_RTPRIO resource limits for this user.
Comment 4 Lennart Poettering 2009-07-26 08:19:48 EDT
Then we have a kernel problem here, because under no circumstances PA -- as a normal userspace process -- should be able to make the machine freeze.

Do your caps/num LEDs blink when the machine freezes like this?
Comment 5 Juha Heljoranta 2009-07-26 08:59:21 EDT
No, the kernel doesn't panic. I've tried roughly ten times to get any useful error messages out of the system before it dies. 
I've tried different alt-sysrq combos to get some log messages but its like the the whole system is zapped instantly with kill -9. Nothing works, not even the caps lock. Although the alt-sysrq-b makes the system to boot...

I could try to setup netconsole to see if has better changes to capture something useful. Let me know if I should give it a try.

fwiw, # cat /proc/sys/kernel/tainted
0
Comment 6 Bug Zapper 2010-04-28 05:19:41 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-06-28 09:49:29 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.